Skip to content

Get Session Trajectory

GET
/v1/sessions/{session_id}/trajectory
curl --request GET \
--url https://router.telem.ai/v1/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/trajectory \
--header 'Authorization: Bearer <token>'
session_id
required
Session Id
string format: uuid

Successful Response

Media typeapplication/json
SessionTrajectoryResponse
object
instance_id
Any of:
string
session_id
required
Session Id
string format: uuid
trajectory
required
SessionTrajectoryNode
object
node_id
required
Node Id
string
node_type
required
Node Type
string
entity_id
Any of:
string format: uuid
parent_id
Any of:
string format: uuid
label
Label
string
""
data
Data
object
key
additional properties
any
children
Array<object> recursive
Example
{
"trajectory": {
"label": ""
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}